import * as core from "@terrascript/core";

export interface UserInGroupArgs extends core.ResourceArgs {
  groupName: string | core.StringOut;

  userPoolId: string | core.StringOut;

  username: string | core.StringOut;
}

export class UserInGroup extends core.Resource<UserInGroupArgs> {
  @core.attr(String)
  public groupName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public userPoolId!: string | core.StringOut;

  @core.attr(String)
  public username!: string | core.StringOut;

  constructor(name: string, args?: UserInGroupArgs) {
    super(name, "aws_cognito_user_in_group", args);
  }

  public override getNamespace(): string {
    return "aws_cognito";
  }
}
